EnumActionDestroyOverflow (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, enum: EnumActionDestroyOverflow

Package org.apache.geode.cache.configuration

# Enum Class EnumActionDestroyOverflow

java.lang.Object
java.lang.Enum<EnumActionDestroyOverflow>
org.apache.geode.cache.configuration.EnumActionDestroyOverflow

All Implemented Interfaces:
  `Serializable`, `Comparable<EnumActionDestroyOverflow>`, `Constable`

@Experimental public enum EnumActionDestroyOverflow extends Enum<EnumActionDestroyOverflow>

Java class for enum-action-destroy-overflow.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="enum-action-destroy-overflow">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="local-destroy"/>
         <enumeration value="overflow-to-disk"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LOCAL_DESTROY`
  `OVERFLOW_TO_DISK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EnumActionDestroyOverflow`
  `fromValue(String v)`
  `String`
  `value()`
  `static EnumActionDestroyOverflow`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EnumActionDestroyOverflow[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LOCAL_DESTROY

    public static final EnumActionDestroyOverflow LOCAL_DESTROY

  - ### OVERFLOW_TO_DISK

    public static final EnumActionDestroyOverflow OVERFLOW_TO_DISK

- ## Method Details

  - ### values

    public static EnumActionDestroyOverflow[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EnumActionDestroyOverflow valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static EnumActionDestroyOverflow fromValue(String v)